## loggedfs 0.9%2Bds

=== debian/watch ===
version=4

opts="dversionmangle=auto,repacksuffix=+ds,filenamemangle=s%(?:.*?)?(?:loggedfs-)?v?(\d[\d.]*)\.tar\.gz%loggedfs-$1.tar.gz%" \
https://github.com/rflament/loggedfs/tags \
(?:.*?/)?(?:loggedfs-)?v?(\d[\d.]*)\.tar\.gz debian uupdate
