=== debian/changelog ===
loggedfs (0.9+ds-5) unstable; urgency=medium

  * Build using C++17 to support newer ICU. Closes: #1101237. Thanks to
    László Böszörményi (GCS) for the patch!
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 26 Mar 2025 20:57:27 +0100

loggedfs (0.9+ds-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Stephen Kitt ]
  * Port to pcre2. Closes: #1000079.
  * Standards-Version 4.6.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 24 Sep 2022 15:38:34 +0200

loggedfs (0.9+ds-3) unstable; urgency=medium

  * Explicitly depend on fuse since we need fusermount, or fuse3 with
    support for “-o nonempty”. Closes: #981146, #981147.

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Jan 2021 22:24:38 +0100

loggedfs (0.9+ds-2) unstable; urgency=medium

  * Replace our patches with the corresponding upstream patch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Jan 2021 18:14:22 +0100

loggedfs (0.9+ds-1) unstable; urgency=medium

  * Initial release. Closes: #979109.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Jan 2021 22:03:44 +0100
