=== debian/control ===
Source: loggedfs
Section: admin
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libeasyloggingpp-dev,
 libfuse-dev,
 libpcre2-dev,
 libxml2-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://rflament.github.io/loggedfs/
Vcs-Browser: https://salsa.debian.org/debian/loggedfs
Vcs-Git: https://salsa.debian.org/debian/loggedfs.git

Package: loggedfs
Architecture: any
Depends: fuse (<< 3) | fuse3 (>= 3.10.1-3), ${misc:Depends}, ${shlibs:Depends}
Description: User-controllable logging file system
 LoggedFS is a logging file system which can log every operation
 happening in it. It mounts transparently over any directory and logs
 operations inside that directory (and its children).
 .
 The amount of logging is configurable, and since LoggedFS uses FUSE,
 it can be controlled by users without system administrator
 involvement.
